<?php
$seo['title'] = 'Alterar Senha';
$layout['menudir'] = 'off';
include "topo.php";
Cliente::verificaLogin();

$msg = array();
$msgClass = 'msgErro';

######################
# carrega cliente
######################
$objCliente = new Cliente();
$objCliente->id = $_SESSION['rz2']['cliente']['id'];
$objCliente->carregar();

######################
# alterar senha
######################
if (isset($_POST['alterar'])) {
    if ($_POST['senhaAtual'] != "" && $_POST['senha1'] != "" && $_POST['senha2'] != "") {
        $senhaAtual = Cliente::trataSenha($_POST['senhaAtual']);
        if ($senhaAtual['senhamd5'] == $objCliente->senha) {
            if (Cliente::validaSenha($_POST['senha1'])) {
                $senha1 = Cliente::trataSenha($_POST['senha1']);
                $senha2 = Cliente::trataSenha($_POST['senha2']);
                if ($senha1['senhamd5'] == $senha2['senhamd5']) {
                    $objCliente->senha = $senha1['senhamd5'];
                    if ($objCliente->alterar()) {
                        // envia email
                        Email::enviar($objCliente->email, "Nova Senha", "alterar-senha.html", array('nome' => $objCliente->nome, 'senha' => $senha1['senha'])); ?>
                        <script>$(document).ready(function () { bootbox.alert("Senha alterada com sucesso!"); });</script> <?php
                    } else { ?>
                        <script>$(document).ready(function () { bootbox.alert("Erro ao alterar senha."); });</script> <?php
                    }
                } else { ?>
                    <script>$(document).ready(function () { bootbox.alert("A repetição da senha não confere."); });</script> <?php
                }
            } else { ?>
                <script>$(document).ready(function () { bootbox.alert("A senha deve ter até 10 caracteres <br> A senha não aceita os seguintes caracteres: \' ; # * % /"); });</script> <?php
            }
        } else { ?>
            <script>$(document).ready(function () { bootbox.alert("Senha atual não confere."); });</script> <?php
        }
    } else { ?>
        <script>$(document).ready(function () { bootbox.alert("Verifique os campos obrigatórios."); });</script> <?php
    }
}
?>


<form name="flogin" id="flogin" action="" method="post">
    
    <div id="login" class="col-md-4 col-md-offset-4 col-sm-4 col-sm-offset-4 col-xs-12"> 
        <h3 class="tituloBox mg-tp-40 mg-bt-20">Alterar Senha</h3>

            <label for="senhaAtual">(*) Senha Atual</label>
            <input type="password" name="senhaAtual" id="senhaAtual" value="" req="1" />

            <label for="senha1">(*) Nova Senha</label>
            <input type="password" name="senha1" id="senha1" value="" req="1" />
            <span class="dica">Até 10 caracteres, não usar os seguintes caracteres especiais.</span>

            <label for="senha2">(*) Nova Senha</label>
            <input type="password" name="senha2" id="senha2" value="" req="1" />
            <span class="dica">Digitar novamente a senha</span>

            <input type="submit" class="botaoContinuar" name="alterar" title="Alterar" value="Alterar" />
            
            <a href="<?=URLRAIZ?>meus-dados" title="Voltar" class="botaoContinuar mg-bt-100 text-center">Voltar para meus dados</a>
    </div>

</form>

<?php include "rodape.php"; ?>